<?php

include_once "config.php";

$kennungtemp = $_SERVER['AUTH_USER'];
$teile = explode("\\", $kennungtemp);
$kennung = $teile[1];	
	

include_once "functionsLDAP.php";
	
function getUserName($conn, $mail){
	
	$sqlMitglieder = "SELECT Name FROM kl_Mitarbeiter WHERE Email like '" . strtolower($mail) . "' ";
	$stmtMitglieder = sqlsrv_query($conn, $sqlMitglieder);	
	#$row = sqlsrv_fetch_array($stmtMitglieder, SQLSRV_FETCH_ASSOC)
	while( $row = sqlsrv_fetch_array( $stmtMitglieder, SQLSRV_FETCH_ASSOC) ) {
		return trim($row['Name']);
	}
	
}

function getUserId($conn, $mail){
	
	$sqlMitglieder = "SELECT MitarbeiterID FROM kl_Mitarbeiter WHERE Email like '" . strtolower($mail) . "' ";
	$stmtMitglieder = sqlsrv_query($conn, $sqlMitglieder);	
	#$row = sqlsrv_fetch_array($stmtMitglieder, SQLSRV_FETCH_ASSOC)
	while( $row = sqlsrv_fetch_array( $stmtMitglieder, SQLSRV_FETCH_ASSOC) ) {
		return trim($row['MitarbeiterID']);
	}
	
}



function checkKaffeelisteAccess($conn, $mail)
{
	// Mitarbeiter aus der Datenbank abrufen und nach Namen sortieren
	$sqlMitarbeiter = "SELECT MitarbeiterID FROM kl_Mitarbeiter WHERE Email like '" . strtolower($mail) . "' AND aktiv='1'";

	$stmtMitarbeiter = sqlsrv_query($conn, $sqlMitarbeiter, array(), array("Scrollable"=>"buffered"));
	$row_count = sqlsrv_num_rows( $stmtMitarbeiter );
	#return $row_count;
  if ($row_count == 1)
  {
    return true;
  }else{
	 return false;
  } 
}

function checkKaffeelisteAdmin($conn, $mail)
{
	// Mitarbeiter aus der Datenbank abrufen und nach Namen sortieren
	$sqlMitarbeiter = "SELECT MitarbeiterID FROM kl_Mitarbeiter WHERE Email like '" . strtolower($mail) . "' AND admin='1'";

	$stmtMitarbeiter = sqlsrv_query($conn, $sqlMitarbeiter, array(), array("Scrollable"=>"buffered"));
	$row_count = sqlsrv_num_rows( $stmtMitarbeiter );
	#return $row_count;
  if ($row_count == 1)
  {
    return true;
  }else{
	 return false;
  } 
}


?>